<?php

namespace app\admin\model;

use think\Model;


class CompanyComment extends Model
{

    

    

    // 表名
    protected $name = 'company_comment';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [

    ];
    

    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id',[],'LEFT')->setEagerlyType(0);
    }

    public function company()
    {
        return $this->belongsTo('Company', 'company_id', 'id',[],'LEFT')->setEagerlyType(0);
    }





}
